> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/trash-timestamp.md).

# Trash timestamp

| **Description** | Trashes or recovers a timestamp.                      |
| --------------- | ----------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/raster/timestamp/{timesmpId}/trashed` |
| **Method**      | PUT                                                   |

### Access Level Rules

| **Access Level** | edit+ |
| ---------------- | ----- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="379">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the raster layer to delete a timestamp of.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp to be deleted from the layer.</td><td>true</td><td></td></tr><tr><td><code>trashed</code></td><td>Boolean whether to trash or recover the timestamp</td><td>false</td><td>Default true.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/trash-timestamp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
